CREATE TABLE adc2000popup_users (
uid             MEDIUMINT(6) UNSIGNED NOT NULL auto_increment,
username        VARCHAR(8) NOT NULL,
password        VARCHAR(8) NOT NULL,
fullname        VARCHAR(30),
address         VARCHAR(100),
city            VARCHAR(30),
zip             VARCHAR(10),
coid            MEDIUMINT(3) UNSIGNED NOT NULL,
phone           VARCHAR(15),
email           VARCHAR(100),
ratio           DECIMAL(4,2) UNSIGNED NOT NULL DEFAULT 0,
referrer        MEDIUMINT(6) UNSIGNED,
credits         DECIMAL(8,2) UNSIGNED NOT NULL DEFAULT 0,
jdate           DATE NOT NULL,
status          TINYINT(1) UNSIGNED NOT NULL DEFAULT 1,
weight          MEDIUMINT(3) UNSIGNED NOT NULL DEFAULT 1,
                PRIMARY KEY (uid),
                INDEX (username,password)
);
CREATE TABLE adc2000popup_sites (
wsid            MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
wsname          VARCHAR(50) NOT NULL,
url             VARCHAR(255) NOT NULL,
caid            MEDIUMINT(3) UNSIGNED NOT NULL,
credits         DECIMAL(8,2) UNSIGNED NOT NULL DEFAULT 0,
bcredits        MEDIUMINT(6) UNSIGNED NOT NULL DEFAULT 0,
shown           MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0,
status          TINYINT(1) UNSIGNED NOT NULL DEFAULT 1,
jdate           DATE NOT NULL,
rdate           DATE NOT NULL DEFAULT '0000-00-00',
adate           DATE NOT NULL DEFAULT '0000-00-00',
ldate           DATE NOT NULL DEFAULT '0000-00-00',
target          TEXT,
descr           TEXT,
keywords        TEXT,
                PRIMARY KEY (wsid),
                INDEX (uid),
                INDEX (caid),
                INDEX (status,credits)
);
CREATE TABLE adc2000popup_pv (
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
wsid            MEDIUMINT(8) UNSIGNED NOT NULL,
statd           DATE NOT NULL,
h00             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h01             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h02             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h03             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h04             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h05             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h06             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h07             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h08             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h09             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h10             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h11             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h12             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h13             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h14             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h15             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h16             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h17             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h18             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h19             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h20             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h21             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h22             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
h23             MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 0,
                UNIQUE KEY (uid,wsid,statd)
);
CREATE TABLE adc2000popup_tt (
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
wsid            MEDIUMINT(8) UNSIGNED NOT NULL,
th00            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th01            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th02            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th03            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th04            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th05            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th06            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th07            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th08            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th09            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th10            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th11            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th12            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th13            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th14            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th15            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th16            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th17            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th18            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th19            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th20            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th21            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th22            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
th23            MEDIUMINT(5) UNSIGNED NOT NULL DEFAULT 1000,
                UNIQUE KEY (uid,wsid)
);
CREATE TABLE adc2000popup_aff (
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
wsid            MEDIUMINT(8) UNSIGNED NOT NULL,
suid            MEDIUMINT(6) UNSIGNED NOT NULL,
swsid           MEDIUMINT(8) UNSIGNED NOT NULL,
shown           MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0,
                UNIQUE KEY (uid,wsid,suid,swsid)
);
CREATE TABLE adc2000popup_settings (
headera         TEXT,
footera         TEXT,
headeru         TEXT,
footeru         TEXT,
headerul        TEXT,
footerul        TEXT,
headerl         TEXT,
footerl         TEXT
);
INSERT INTO adc2000popup_settings (headera) VALUES ('');
CREATE TABLE adc2000popup_counter (
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
wsid            MEDIUMINT(8) UNSIGNED NOT NULL,
vis             MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0,
uvis            MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0,
                UNIQUE KEY (uid,wsid)
);
CREATE TABLE adc2000popup_ml (
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
email           VARCHAR(100) NOT NULL,
                UNIQUE KEY (uid,email)
);
CREATE TABLE adc2000popup_countries (
coid            MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
country         VARCHAR(50) NOT NULL,
                PRIMARY KEY (coid),
                INDEX (country)
);
CREATE TABLE adc2000popup_categories (
caid            MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
category        VARCHAR(50) NOT NULL,
subcategory     VARCHAR(50) NOT NULL,
                PRIMARY KEY (caid),
                INDEX (category,subcategory)
);
CREATE TABLE adc2000popup_sessions (
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
sid             VARCHAR(20),
ip              VARCHAR(15),
exptime         DATETIME,
                PRIMARY KEY (uid),
                INDEX (uid,sid,ip,exptime)
);
CREATE TABLE adc2000popup_asession (
sid             VARCHAR(20),
ip              VARCHAR(15),
exptime         DATETIME,
login           VARCHAR(20),
password        VARCHAR(20)
);
INSERT INTO adc2000popup_asession (sid) VALUES ('');
CREATE TABLE adc2000popup_ch (
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
date            DATE NOT NULL,
amount          MEDIUMINT(8) NOT NULL,
                PRIMARY KEY (uid),
                INDEX (uid,date)
);
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Art History');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Artists');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Design Arts');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Events');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Graphic Arts');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','History');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Humanities');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Museums & Galleries');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Performing Arts');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Publications');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Visual Arts');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Arts & Humanities','Writing');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Autos, Boats & Planes','Automotive');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Autos, Boats & Planes','Aviation');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Autos, Boats & Planes','Boats');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Autos, Boats & Planes','Motorcycles');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Autos, Boats & Planes','Trucks');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Business News & Resources');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Companies & Industries');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Economics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Education & Business Schools');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Entrepreneurial');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Intellectual Property');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','International Economy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Jobs, Careers & Work');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Marketing');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Multi Level');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Products & Services');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Small Business Information');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Trade');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Business','Transportation');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','American Legion');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Charity');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Community Events');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Community Organizations');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Community Service & Volunteerism');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Elks');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Environment & Nature');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Lions');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Military');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Non-profits');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Public Health & Safety');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Relief Organizations');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','Service Related');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Clubs & Organizations','VFW');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Buy, Sell & Support');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Communications');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Computer Science');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Cyberculture');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','DOS/Windows');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Education & Trade');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Ezines');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Free Stuff');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Hardware');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Information & Documentation');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Internet Services');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Macintosh');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Multimedia');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Networking');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Operating Systems');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Personal Computers');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Programming Languages');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Security & Encryption');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Software');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Computer & Internet','Unix');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Ancient Civilizations');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Christianity');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Cultures');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Debates & Skeptics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Eastern Religions');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Holidays');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Islam');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Judaism');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Occult & Mysticism');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Other Religions & Beliefs');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Signs of the Times');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Spiritual Leaders');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Culture & Religion','Spirituality');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Adult & Continuing');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Career & Vocational');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Distance Learning');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Guidance');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Higher Education');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Instructional Technology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','K-12 Programs');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Language Education');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Other Education');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Reference Sources');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Education & Reference','Teaching & Learning');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Advice');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Amusement/theme parks');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Astrology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Comics & Animation');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Contests/Surveys/Polls');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Cool Links');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Dating & Relationships');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Events');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Food & Eating');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Gaming');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Gossip');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Humor, Jokes & Fun');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Magic');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Models & Celebrities');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Paranormal Phenomena');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Publications');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Sci-fi, Fantasy & Horror');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Entertainment & Leisure','Trivia');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Action');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Adventure');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Bar Games');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Board Games');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Card Games');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Childrens Games');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Crosswords & Puzzles');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Game Machines');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Internet Games');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Programming');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Reviews');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Role Playing');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Shareware');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Simulation');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Strategy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Games','Video Games');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Alternative Medicine');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Arts Therapy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Dentistry');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Diet & Nutrition');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Diseases & Conditions');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Fitness & Exercise');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Geriatrics & Aging');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Medicine');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Mental Health');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Pharmacology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Reproductive Health');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Resource Advice');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Weight Management');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Womens Health');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Health & Fitness','Workplace');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','Antiques & Collectibles');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','Astrology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','Crafts & Hobbies');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','ESP & Psychics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','Genealogy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','Supernatural');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','Toys');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Hobbies & Interests','UFOs');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Abusive Relationships');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Birth');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Children');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Counseling');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Death');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Disabilities');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Families');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Housing');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Learning Disabilities');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Personal Issues');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Personal Services');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Relationships');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Retirement');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Reunions');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Life Family Issues','Weddings');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Economics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Exchanges');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Financial Services');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Financing');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Futures & Options');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Insurance');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Investment Services');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Mutual Funds');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Quotes');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Real Estate');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Stocks, Bonds & Futures');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Money & Finance','Taxes');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Action & Adventure');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Actors & Actresses');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Animation');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Awards');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Cable & Networks');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Children');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Classics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Comedy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Cult Movies');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Documentaries');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Drama');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Film Festivals');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Film Making');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Foreign Film');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Hong Kong Movies');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Horror');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Multimedia');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Other People');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Reviews');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Science Fiction & Fantasy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Movies & Television','Television Shows');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Alternative');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Ambient/New Age');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Artists');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Awards');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Bluegrass');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Blues');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Charts, Polls & Contests');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Classical');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Computer');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Country & Western');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Disco');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Education');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Events');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Folk');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Industrial');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Instruments');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Jazz');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Metal');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Other');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Radio');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Rap & Hip Hop');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Reviews');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Rock');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Sheet Music');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Soul/R & B');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Talk Radio');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','Vocal');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Music & Radio','World/Reggae');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Art');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Favorite Things');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Friends & Family');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','General');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','People');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Photo Gallery');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Resume');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Strange & Bizarre');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Teen Stuff');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Under Construction');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Useful Stuff');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Personal Home Pages','Useless Pages');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Pets, Home & Garden','Food & Cooking');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Pets, Home & Garden','Furnishings');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Pets, Home & Garden','Gardening');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Pets, Home & Garden','Home Improvement');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Pets, Home & Garden','Pets & Animals');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Agriculture');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Alternative');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Archaeology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Astronomy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Aviation & Aeronautics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Biology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Chemistry');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Cognitive Sciences');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Earth Sciences');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Ecology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Energy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Engineering');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Forensics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Geography');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Institutes');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Mathematics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Physics');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Psychology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Social Science');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Weights & Measures');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Science & Technology','Zoology');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Auctions');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Classifieds');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Electronic Goods');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Gifts, Arts & Crafts');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Health & Beauty');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Home & Garden');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Music, Books & Videos');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Sporting Goods');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Store, Mall & Catalogs');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Shopping & Services','Transaction Resources');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Alternative');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Civil Liberties');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Consumer Rights');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Crime & Justice');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Economy');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Government');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','International Affairs');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Law');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Military');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Politics - Other');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Politics - Left');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Politics - Middle');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Politics - Right');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Social Issues');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Society & Issues','Social Sciences');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Air & Water Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','All-Sports Interests');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Baseball');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Basketball');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Extreme Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Football');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Ice & Snow Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Other Ball Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Other Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Outdoors');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Rankings & Ratings');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Spectator Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Sports','Sport Racing');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Accommodations');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Adventure & Sports');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Agents & Booking');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Air Travel');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Car, Train, Bus & Ferry');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Convention & Visitors Bureaus');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Cruises, Resorts & Beaches');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Guides & Maps');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','Miscellaneous');
INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('Travel','National Parks');
INSERT INTO adc2000popup_countries (country) VALUES ('Afghanistan');
INSERT INTO adc2000popup_countries (country) VALUES ('Albania');
INSERT INTO adc2000popup_countries (country) VALUES ('Algeria');
INSERT INTO adc2000popup_countries (country) VALUES ('American Samoa');
INSERT INTO adc2000popup_countries (country) VALUES ('Andorra');
INSERT INTO adc2000popup_countries (country) VALUES ('Angola');
INSERT INTO adc2000popup_countries (country) VALUES ('Anguilla');
INSERT INTO adc2000popup_countries (country) VALUES ('Antarctica');
INSERT INTO adc2000popup_countries (country) VALUES ('Antigua');
INSERT INTO adc2000popup_countries (country) VALUES ('Argentina');
INSERT INTO adc2000popup_countries (country) VALUES ('Armenia');
INSERT INTO adc2000popup_countries (country) VALUES ('Aruba');
INSERT INTO adc2000popup_countries (country) VALUES ('Australia');
INSERT INTO adc2000popup_countries (country) VALUES ('Austria');
INSERT INTO adc2000popup_countries (country) VALUES ('Azerbaijan');
INSERT INTO adc2000popup_countries (country) VALUES ('Bahamas');
INSERT INTO adc2000popup_countries (country) VALUES ('Bahrain');
INSERT INTO adc2000popup_countries (country) VALUES ('Bangladesh');
INSERT INTO adc2000popup_countries (country) VALUES ('Barbados');
INSERT INTO adc2000popup_countries (country) VALUES ('Belgium');
INSERT INTO adc2000popup_countries (country) VALUES ('Belize');
INSERT INTO adc2000popup_countries (country) VALUES ('Benin');
INSERT INTO adc2000popup_countries (country) VALUES ('Bermuda');
INSERT INTO adc2000popup_countries (country) VALUES ('Bhutan');
INSERT INTO adc2000popup_countries (country) VALUES ('Bolivia');
INSERT INTO adc2000popup_countries (country) VALUES ('Bosnia and Herzegovina');
INSERT INTO adc2000popup_countries (country) VALUES ('Botswana');
INSERT INTO adc2000popup_countries (country) VALUES ('Bouvet Island');
INSERT INTO adc2000popup_countries (country) VALUES ('Brazil');
INSERT INTO adc2000popup_countries (country) VALUES ('British Virgin Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Brunei');
INSERT INTO adc2000popup_countries (country) VALUES ('Bulgaria');
INSERT INTO adc2000popup_countries (country) VALUES ('Burkina Faso');
INSERT INTO adc2000popup_countries (country) VALUES ('Burma');
INSERT INTO adc2000popup_countries (country) VALUES ('Burundi');
INSERT INTO adc2000popup_countries (country) VALUES ('Byelorussian SSR');
INSERT INTO adc2000popup_countries (country) VALUES ('Canada');
INSERT INTO adc2000popup_countries (country) VALUES ('Canton and Enderbury Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Cape Verde');
INSERT INTO adc2000popup_countries (country) VALUES ('Cayman Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Central African Republic');
INSERT INTO adc2000popup_countries (country) VALUES ('Chad');
INSERT INTO adc2000popup_countries (country) VALUES ('Chile');
INSERT INTO adc2000popup_countries (country) VALUES ('China');
INSERT INTO adc2000popup_countries (country) VALUES ('Christmas Island');
INSERT INTO adc2000popup_countries (country) VALUES ('Cocos Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Colombia');
INSERT INTO adc2000popup_countries (country) VALUES ('Comoros');
INSERT INTO adc2000popup_countries (country) VALUES ('Congo');
INSERT INTO adc2000popup_countries (country) VALUES ('Cook Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Costa Rica');
INSERT INTO adc2000popup_countries (country) VALUES ('Croatia (Hrvatska)');
INSERT INTO adc2000popup_countries (country) VALUES ('Cuba');
INSERT INTO adc2000popup_countries (country) VALUES ('Cyprus');
INSERT INTO adc2000popup_countries (country) VALUES ('Czechoslovakia');
INSERT INTO adc2000popup_countries (country) VALUES ('Democratic Kampuchea');
INSERT INTO adc2000popup_countries (country) VALUES ('Democratic Yemen');
INSERT INTO adc2000popup_countries (country) VALUES ('Denmark');
INSERT INTO adc2000popup_countries (country) VALUES ('Djibouti');
INSERT INTO adc2000popup_countries (country) VALUES ('Dominica');
INSERT INTO adc2000popup_countries (country) VALUES ('Dominican Republic');
INSERT INTO adc2000popup_countries (country) VALUES ('Dronning Maud Land');
INSERT INTO adc2000popup_countries (country) VALUES ('East Timor');
INSERT INTO adc2000popup_countries (country) VALUES ('Ecuador');
INSERT INTO adc2000popup_countries (country) VALUES ('Egypt');
INSERT INTO adc2000popup_countries (country) VALUES ('El Salvador');
INSERT INTO adc2000popup_countries (country) VALUES ('Equatorial Guinea');
INSERT INTO adc2000popup_countries (country) VALUES ('Eritrea');
INSERT INTO adc2000popup_countries (country) VALUES ('Estonia');
INSERT INTO adc2000popup_countries (country) VALUES ('Ethiopia');
INSERT INTO adc2000popup_countries (country) VALUES ('Faeroe Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Falkland Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Fiji');
INSERT INTO adc2000popup_countries (country) VALUES ('Finland');
INSERT INTO adc2000popup_countries (country) VALUES ('France');
INSERT INTO adc2000popup_countries (country) VALUES ('France Metropolitan');
INSERT INTO adc2000popup_countries (country) VALUES ('French Guiana');
INSERT INTO adc2000popup_countries (country) VALUES ('French Polynesia');
INSERT INTO adc2000popup_countries (country) VALUES ('French Southern Territories');
INSERT INTO adc2000popup_countries (country) VALUES ('Gabon');
INSERT INTO adc2000popup_countries (country) VALUES ('Gambia');
INSERT INTO adc2000popup_countries (country) VALUES ('Georgia');
INSERT INTO adc2000popup_countries (country) VALUES ('Germany');
INSERT INTO adc2000popup_countries (country) VALUES ('Ghana');
INSERT INTO adc2000popup_countries (country) VALUES ('Gibraltar');
INSERT INTO adc2000popup_countries (country) VALUES ('Greece');
INSERT INTO adc2000popup_countries (country) VALUES ('Greenland');
INSERT INTO adc2000popup_countries (country) VALUES ('Grenada');
INSERT INTO adc2000popup_countries (country) VALUES ('Guadeloupe');
INSERT INTO adc2000popup_countries (country) VALUES ('Guam');
INSERT INTO adc2000popup_countries (country) VALUES ('Guatemala');
INSERT INTO adc2000popup_countries (country) VALUES ('Guinea');
INSERT INTO adc2000popup_countries (country) VALUES ('Guinea-bisseu');
INSERT INTO adc2000popup_countries (country) VALUES ('Guyana');
INSERT INTO adc2000popup_countries (country) VALUES ('Haiti');
INSERT INTO adc2000popup_countries (country) VALUES ('Heard and Mc Donald Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Honduras');
INSERT INTO adc2000popup_countries (country) VALUES ('Hong Kong');
INSERT INTO adc2000popup_countries (country) VALUES ('Hungary');
INSERT INTO adc2000popup_countries (country) VALUES ('Iceland');
INSERT INTO adc2000popup_countries (country) VALUES ('India');
INSERT INTO adc2000popup_countries (country) VALUES ('Indonesia');
INSERT INTO adc2000popup_countries (country) VALUES ('Iran');
INSERT INTO adc2000popup_countries (country) VALUES ('Iraq');
INSERT INTO adc2000popup_countries (country) VALUES ('Ireland');
INSERT INTO adc2000popup_countries (country) VALUES ('Israel');
INSERT INTO adc2000popup_countries (country) VALUES ('Italy');
INSERT INTO adc2000popup_countries (country) VALUES ('Ivory Coast');
INSERT INTO adc2000popup_countries (country) VALUES ('Jamaica');
INSERT INTO adc2000popup_countries (country) VALUES ('Japan');
INSERT INTO adc2000popup_countries (country) VALUES ('Johnston Island');
INSERT INTO adc2000popup_countries (country) VALUES ('Jordan');
INSERT INTO adc2000popup_countries (country) VALUES ('Kazakstan');
INSERT INTO adc2000popup_countries (country) VALUES ('Kenya');
INSERT INTO adc2000popup_countries (country) VALUES ('Kiribati');
INSERT INTO adc2000popup_countries (country) VALUES ('Kuwait');
INSERT INTO adc2000popup_countries (country) VALUES ('Kyrgyzstan');
INSERT INTO adc2000popup_countries (country) VALUES ('Latvia');
INSERT INTO adc2000popup_countries (country) VALUES ('Lebanon');
INSERT INTO adc2000popup_countries (country) VALUES ('Lesotho');
INSERT INTO adc2000popup_countries (country) VALUES ('Liberia');
INSERT INTO adc2000popup_countries (country) VALUES ('Libyan Arab Jamahiriya');
INSERT INTO adc2000popup_countries (country) VALUES ('Liechtenstein');
INSERT INTO adc2000popup_countries (country) VALUES ('Lithuania');
INSERT INTO adc2000popup_countries (country) VALUES ('Luxembourg');
INSERT INTO adc2000popup_countries (country) VALUES ('Macau');
INSERT INTO adc2000popup_countries (country) VALUES ('Macedonia');
INSERT INTO adc2000popup_countries (country) VALUES ('Madagascar');
INSERT INTO adc2000popup_countries (country) VALUES ('Malaysia');
INSERT INTO adc2000popup_countries (country) VALUES ('Malawi');
INSERT INTO adc2000popup_countries (country) VALUES ('Maldives');
INSERT INTO adc2000popup_countries (country) VALUES ('Mali');
INSERT INTO adc2000popup_countries (country) VALUES ('Malta');
INSERT INTO adc2000popup_countries (country) VALUES ('Martinique');
INSERT INTO adc2000popup_countries (country) VALUES ('Mauritania');
INSERT INTO adc2000popup_countries (country) VALUES ('Mauritius');
INSERT INTO adc2000popup_countries (country) VALUES ('Mexico');
INSERT INTO adc2000popup_countries (country) VALUES ('Midway Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Monaco');
INSERT INTO adc2000popup_countries (country) VALUES ('Mongolia');
INSERT INTO adc2000popup_countries (country) VALUES ('Montserrat');
INSERT INTO adc2000popup_countries (country) VALUES ('Morocco');
INSERT INTO adc2000popup_countries (country) VALUES ('Mozambique');
INSERT INTO adc2000popup_countries (country) VALUES ('Namibia');
INSERT INTO adc2000popup_countries (country) VALUES ('Nepal');
INSERT INTO adc2000popup_countries (country) VALUES ('Nauru');
INSERT INTO adc2000popup_countries (country) VALUES ('Netherlands');
INSERT INTO adc2000popup_countries (country) VALUES ('Netherlands Antilles');
INSERT INTO adc2000popup_countries (country) VALUES ('Neutral Zone');
INSERT INTO adc2000popup_countries (country) VALUES ('New Calidonia');
INSERT INTO adc2000popup_countries (country) VALUES ('New Zealand');
INSERT INTO adc2000popup_countries (country) VALUES ('Nicaragua');
INSERT INTO adc2000popup_countries (country) VALUES ('Niger');
INSERT INTO adc2000popup_countries (country) VALUES ('Nigeria');
INSERT INTO adc2000popup_countries (country) VALUES ('Niue');
INSERT INTO adc2000popup_countries (country) VALUES ('Norfolk Island');
INSERT INTO adc2000popup_countries (country) VALUES ('Northern Mariana Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Norway');
INSERT INTO adc2000popup_countries (country) VALUES ('Oman');
INSERT INTO adc2000popup_countries (country) VALUES ('Pacific Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Pakistan');
INSERT INTO adc2000popup_countries (country) VALUES ('Panama');
INSERT INTO adc2000popup_countries (country) VALUES ('Papua New Guinea');
INSERT INTO adc2000popup_countries (country) VALUES ('Paraguay');
INSERT INTO adc2000popup_countries (country) VALUES ('Peoples Republic of Korea');
INSERT INTO adc2000popup_countries (country) VALUES ('Peru');
INSERT INTO adc2000popup_countries (country) VALUES ('Philippines');
INSERT INTO adc2000popup_countries (country) VALUES ('Pitcairn Island');
INSERT INTO adc2000popup_countries (country) VALUES ('Poland');
INSERT INTO adc2000popup_countries (country) VALUES ('Portugal');
INSERT INTO adc2000popup_countries (country) VALUES ('Province of China Taiwan');
INSERT INTO adc2000popup_countries (country) VALUES ('Puerto Rico');
INSERT INTO adc2000popup_countries (country) VALUES ('Qatar');
INSERT INTO adc2000popup_countries (country) VALUES ('Republic of Korea');
INSERT INTO adc2000popup_countries (country) VALUES ('Reunion');
INSERT INTO adc2000popup_countries (country) VALUES ('Romania');
INSERT INTO adc2000popup_countries (country) VALUES ('Russian Federation');
INSERT INTO adc2000popup_countries (country) VALUES ('Rwanda');
INSERT INTO adc2000popup_countries (country) VALUES ('Saint Lucia');
INSERT INTO adc2000popup_countries (country) VALUES ('Saint Vincent/Grenadines');
INSERT INTO adc2000popup_countries (country) VALUES ('Samoa');
INSERT INTO adc2000popup_countries (country) VALUES ('San Marino');
INSERT INTO adc2000popup_countries (country) VALUES ('Sao Tome and Principe');
INSERT INTO adc2000popup_countries (country) VALUES ('Saudi Arabia');
INSERT INTO adc2000popup_countries (country) VALUES ('Senegal');
INSERT INTO adc2000popup_countries (country) VALUES ('Seychelles');
INSERT INTO adc2000popup_countries (country) VALUES ('Sierra Leone');
INSERT INTO adc2000popup_countries (country) VALUES ('Singapore');
INSERT INTO adc2000popup_countries (country) VALUES ('Solomon Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Somalia');
INSERT INTO adc2000popup_countries (country) VALUES ('South Africa');
INSERT INTO adc2000popup_countries (country) VALUES ('Spain');
INSERT INTO adc2000popup_countries (country) VALUES ('Sri Lanka');
INSERT INTO adc2000popup_countries (country) VALUES ('St. Helena');
INSERT INTO adc2000popup_countries (country) VALUES ('St. Kitts Nevis Anguilla');
INSERT INTO adc2000popup_countries (country) VALUES ('St. Pierre and Miquelon');
INSERT INTO adc2000popup_countries (country) VALUES ('Sudan');
INSERT INTO adc2000popup_countries (country) VALUES ('Suriname');
INSERT INTO adc2000popup_countries (country) VALUES ('Svalbard and Jan Mayen Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Swaziland');
INSERT INTO adc2000popup_countries (country) VALUES ('Sweden');
INSERT INTO adc2000popup_countries (country) VALUES ('Switzerland');
INSERT INTO adc2000popup_countries (country) VALUES ('Syran Arab Republic');
INSERT INTO adc2000popup_countries (country) VALUES ('Thailand');
INSERT INTO adc2000popup_countries (country) VALUES ('Togo');
INSERT INTO adc2000popup_countries (country) VALUES ('Tokelau');
INSERT INTO adc2000popup_countries (country) VALUES ('Tonga');
INSERT INTO adc2000popup_countries (country) VALUES ('Trinidad and Tobago');
INSERT INTO adc2000popup_countries (country) VALUES ('Tunisia');
INSERT INTO adc2000popup_countries (country) VALUES ('Turkey');
INSERT INTO adc2000popup_countries (country) VALUES ('Turkmenistan');
INSERT INTO adc2000popup_countries (country) VALUES ('Turks and Caicos Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Tuvalu');
INSERT INTO adc2000popup_countries (country) VALUES ('US Minor Outlying Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Uganda');
INSERT INTO adc2000popup_countries (country) VALUES ('Ukrainian SSR');
INSERT INTO adc2000popup_countries (country) VALUES ('United Arab Emirates');
INSERT INTO adc2000popup_countries (country) VALUES ('United Kingdom');
INSERT INTO adc2000popup_countries (country) VALUES ('United Republic of Cameroon');
INSERT INTO adc2000popup_countries (country) VALUES ('United Republic of Tanzania');
INSERT INTO adc2000popup_countries (country) VALUES ('United States');
INSERT INTO adc2000popup_countries (country) VALUES ('United States Pacific Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Unites States Virgin Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Upper Volta');
INSERT INTO adc2000popup_countries (country) VALUES ('Uruguay');
INSERT INTO adc2000popup_countries (country) VALUES ('Uzbekistan');
INSERT INTO adc2000popup_countries (country) VALUES ('Vanuatu');
INSERT INTO adc2000popup_countries (country) VALUES ('Vatican City State');
INSERT INTO adc2000popup_countries (country) VALUES ('Venezuela');
INSERT INTO adc2000popup_countries (country) VALUES ('VietNam');
INSERT INTO adc2000popup_countries (country) VALUES ('Wake Island');
INSERT INTO adc2000popup_countries (country) VALUES ('Wallis and Futuma Islands');
INSERT INTO adc2000popup_countries (country) VALUES ('Western Sahara');
INSERT INTO adc2000popup_countries (country) VALUES ('Yemen');
INSERT INTO adc2000popup_countries (country) VALUES ('Yugoslavia');
INSERT INTO adc2000popup_countries (country) VALUES ('Zaire');
INSERT INTO adc2000popup_countries (country) VALUES ('Zambia');
INSERT INTO adc2000popup_countries (country) VALUES ('Zimbabwe');
