#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);

######################################################################
# GET DATA                                                           #
######################################################################
if ($ENV{CONTENT_LENGTH}>0){$query=<STDIN>;}
else{$query=$ENV{QUERY_STRING};}
@query=split("&",$query);
foreach (@query)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9A-Fa-f]{2})/pack('C',hex($1))/eg;
		if ($data{$field}){$data{$field}.=",$value";}
		else {$data{$field}=$value;}
	}
}
@cookie=split("; ",$ENV{HTTP_COOKIE});
foreach (@cookie)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9A-Fa-f]{2})/pack('C',hex($1))/eg;
		if ($cookie{$field}){$cookie{$field}.=",$value";}
		else {$cookie{$field}=$value;}
	}
}

######################################################################
# SESSION CHECK                                                      #
######################################################################
unless ($data{session})
{
	$error.="Wrong session ID";
	&error_auth;
}
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$datecheck="$year-$cal{$month}-$date $time";
($day,$nmonth,$ndate,$time,$nyear)=split(" ",scalar localtime(time+$delay*60));
$ndate="$nyear-$cal{$nmonth}-$ndate $time";
$sth=$dbh->query("LOCK TABLES adc2000popup_sessions READ") if ($locktables);
$sth=$dbh->query("SELECT uid FROM adc2000popup_sessions WHERE (sid='$data{session}' AND exptime>'$datecheck' AND ip='$ENV{REMOTE_ADDR}')");
$uid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($uid)
{
	$error.="Wrong or expired session";
	&error_auth;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_sessions WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_sessions SET exptime='$ndate' WHERE uid=$uid");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$destination=$data{method};
$destination="initial" unless ($destination);
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT fullname,jdate,credits,ratio,email FROM adc2000popup_users WHERE uid=$uid");
($fname,$jdate,$credits,$ratio,$user_email)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$fname=~s/APOSTROPHH/'/g;
&$destination;
######################################################################
# METHODS                                                            #
######################################################################
sub initial
{
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsname,credits FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsname,$creds)=$sth->fetchrow)
{
	$res.=qq~<tr><td><font size=2>$wsname</font></td><td align=right><font size=2><b>$creds</b></font></td></tr>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/minitial.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub genstats
{
$selected{genstats}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname,credits,jdate,rdate,shown FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname,$creds,$jd,$rd,$shown)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$impres=$creds;
		$sitename=$wsname;
		$jdate=$jd;
		$rdate=$rd;
		$affilx=$shown;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$u_ratio=$ratio;
$data{wsid}=0 unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_pv READ") if ($locktables);
$sth=$dbh->query("SELECT SUM(h00+h01+h02+h03+h04+h05+h06+h07+h08+h09+h10+h11+h12+h13+h14+h15+h16+h17+h18+h19+h20+h21+h22+h23) FROM adc2000popup_pv WHERE (uid=$uid AND wsid=$data{wsid} AND statd>='$jdate')");
$genimp=$sth->fetchrow || 0;
$sth=$dbh->query("SELECT SUM(h00+h01+h02+h03+h04+h05+h06+h07+h08+h09+h10+h11+h12+h13+h14+h15+h16+h17+h18+h19+h20+h21+h22+h23) FROM adc2000popup_pv WHERE (uid=$uid AND wsid=$data{wsid} AND statd>='$rdate')");
$resimp=$sth->fetchrow || 0;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$earned=$affilx*$u_ratio;
if ($ratio>1){$ratio="$ratio:1";}
elsif ($ratio<1 && $ratio>0)
{
	$ratio=1/$ratio;
	if ($ratio>=2){$ratio="1:".int($ratio);}
	elsif ($ratio>=1.5){$ratio="2:3";}
	elsif ($ratio>=1.3){$ratio="3:4";}
	else {$ratio="1:$ratio";}
}
if ($refratio>1){$refratio="$refratio:1";}
elsif ($refratio<1 && $refratio>0)
{
	$refratio=int(1/$refratio);
	if ($refratio>=2){$refratio="1:".int($refratio);}
	elsif ($refratio>=1.5){$refratio="2:3";}
	elsif ($refratio>=1.3){$refratio="3:4";}
	else {$refratio="1:$refratio";}
}
$result=qq~
~;
&closedb;
&methods;
open (F,"<$adcpath/template/mgenstat.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub reset
{
if ($data{wsid})
{
	($day,$month,$date,$time,$year)=split(" ",scalar localtime);
	$redate="$year-$cal{$month}-$date";
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_sites SET rdate='$redate' WHERE (uid=$uid AND wsid=$data{wsid})");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&genstats;
}
sub monstats
{
$selected{monstats}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{wsid}=0 unless ($data{wsid});
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$data{year}=$year unless ($data{year});
$i=$year-2;
while($i<=$year)
{
	if ($i==$data{year})
	{
		$years.=qq~<option value="$i" selected>$i</option>\n~;
	}
	else
	{
		$years.=qq~<option value="$i">$i</option>\n~;
	}
	$i++;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_pv READ") if ($locktables);
$sth=$dbh->query("SELECT statd,h00+h01+h02+h03+h04+h05+h06+h07+h08+h09+h10+h11+h12+h13+h14+h15+h16+h17+h18+h19+h20+h21+h22+h23 FROM adc2000popup_pv WHERE (uid=$uid AND wsid=$data{wsid} AND statd>='$data{year}-1-1' AND statd<='$data{year}-12-31')");
while(($statd,$stats)=$sth->fetchrow)
{
	($d1,$d2,$d3)=split("-",$statd);
	$mimp[$d2]=$stats;
	$totimp+=$stats;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$totimp=0 if ($totimp eq "");
$tablewidth=12*12-2;
$table=$tablewidth+60;
@mmimp=@mimp;
@mmimp=sort ({$b<=>$a} @mmimp);
$maximp=shift(@mmimp);
if ($maximp<=10){$item1=10;$item2=7.5;$item3=5;$item4=2.5;}
elsif ($maximp<=100){$item1=100;$item2=75;$item3=50;$item4=25;}
elsif ($maximp<=1000){$item1=1000;$item2=750;$item3=500;$item4=250;}
elsif ($maximp<=10000){$item1=10000;$item2=7500;$item3=5000;$item4=2500;}
elsif ($maximp<=100000){$item1=100000;$item2=75000;$item3=50000;$item4=25000;}
elsif ($maximp<=1000000){$item1=1000000;$item2=750000;$item3=500000;$item4=250000;}
$grat=$item1/100;
$i=1;
while($i<=12)
{
	$mimp[$i]=0 if ($mimp[$i] eq "");
	$height=int($mimp[$i]/$grat);
	$graph.=qq~<img src="$adcenter/images/sg1.gif" width=8 height=$height border=1 bordercolor=black>~;
	if ($i<12){$graph.=qq~<img src="$adcenter/images/sdot.gif">~;}
	$i++;
}
&closedb;
&methods;
open (F,"<$adcpath/template/mmonstat.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub daystats
{
$selected{daystats}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{wsid}=0 unless ($data{wsid});
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$month=$cal{$month};
$data{month}=$month unless ($data{month});
$data{year}=$year unless ($data{year});
$i=$year-2;
while($i<=$year)
{
	if ($i==$data{year})
	{
		$years.=qq~<option value="$i" selected>$i</option>\n~;
	}
	else
	{
		$years.=qq~<option value="$i">$i</option>\n~;
	}
	$i++;
}
$i=1;
while($i<=12)
{
	$ind=$i-1;
	if ($i==$data{month})
	{
		$monthes.=qq~<option value="$i" selected>$cal[$ind]</option>\n~;
	}
	else
	{
		$monthes.=qq~<option value="$i">$cal[$ind]</option>\n~;
	}
	$i++;
}
$month=$data{month};
$calendar[$month]=29 if ($data{year}/4-int($data{year}/4)==0 && $data{month}==2);
$sth=$dbh->query("LOCK TABLES adc2000popup_pv READ") if ($locktables);
$sth=$dbh->query("SELECT statd,h00+h01+h02+h03+h04+h05+h06+h07+h08+h09+h10+h11+h12+h13+h14+h15+h16+h17+h18+h19+h20+h21+h22+h23 FROM adc2000popup_pv WHERE (uid=$uid AND wsid=$data{wsid} AND statd>='$data{year}-$month-1' AND statd<='$data{year}-$month-$calendar[$month]')");
while(($statd,$stats)=$sth->fetchrow)
{
	($d1,$d2,$d3)=split("-",$statd);
	$mimp[$d3]=$stats;
	$totimp+=$stats;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$totimp=0 if ($totimp eq "");
$tablewidth=12*$calendar[$month]-2;
$table=$tablewidth+60;
$i=1;
while($i<=$calendar[$month])
{
	$mimp[$i]=0 if ($mimp[$i] eq "");
	$mstats.="<tr><td bgcolor=\"#C0C0C0\"><font size=2><b>$i</b></font></td><td align=\"right\" bgcolor=\"#C0C0C0\"><font size=2>$mimp[$i]</font></td></tr>\n";
	$i++;
}
@mmimp=@mimp;
@mmimp=sort ({$b<=>$a} @mmimp);
$maximp=shift(@mmimp);
if ($maximp<=10){$item1=10;$item2=7.5;$item3=5;$item4=2.5;}
elsif ($maximp<=100){$item1=100;$item2=75;$item3=50;$item4=25;}
elsif ($maximp<=1000){$item1=1000;$item2=750;$item3=500;$item4=250;}
elsif ($maximp<=10000){$item1=10000;$item2=7500;$item3=5000;$item4=2500;}
elsif ($maximp<=100000){$item1=100000;$item2=75000;$item3=50000;$item4=25000;}
elsif ($maximp<=1000000){$item1=1000000;$item2=750000;$item3=500000;$item4=250000;}
$grat=$item1/100;
$i=1;
while($i<=$calendar[$month])
{
	$height=int($mimp[$i]/$grat);
	$graph.=qq~<img src="$adcenter/images/sg1.gif" width=8 height=$height border=1 bordercolor=black>~;
	if ($i<$calendar[$month]){$graph.=qq~<img src="$adcenter/images/sdot.gif">~;}
	$i++;
}
&closedb;
&methods;
open (F,"<$adcpath/template/mdaystat.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub hourstats
{
$selected{hourstats}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{wsid}=0 unless ($data{wsid});
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$month=$cal{$month};
$data{month}=$month unless ($data{month});
$data{year}=$year unless ($data{year});
$data{date}=$date unless ($data{date});
$month=$data{month};
$calendar[$month]=29 if ($data{year}/4-int($data{year}/4)==0 && $data{month}==2);
$i=1;
while($i<=$calendar[$month])
{
	if ($i==$data{date})
	{
		$dates.=qq~<option value="$i" selected>$i</option>\n~;
	}
	else
	{
		$dates.=qq~<option value="$i">$i</option>\n~;
	}
	$i++;
}
$i=$year-2;
while($i<=$year)
{
	if ($i==$data{year})
	{
		$years.=qq~<option value="$i" selected>$i</option>\n~;
	}
	else
	{
		$years.=qq~<option value="$i">$i</option>\n~;
	}
	$i++;
}
$i=1;
while($i<=12)
{
	$ind=$i-1;
	if ($i==$data{month})
	{
		$monthes.=qq~<option value="$i" selected>$cal[$ind]</option>\n~;
	}
	else
	{
		$monthes.=qq~<option value="$i">$cal[$ind]</option>\n~;
	}
	$i++;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_pv READ") if ($locktables);
$sth=$dbh->query("SELECT h00,h01,h02,h03,h04,h05,h06,h07,h08,h09,h10,h11,h12,h13,h14,h15,h16,h17,h18,h19,h20,h21,h22,h23 FROM adc2000popup_pv WHERE (uid=$uid AND wsid=$data{wsid} AND statd='$data{year}-$month-$data{date}')");
@dimp=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$i=0;
while ($i<24){$dimp[$i]=0 unless ($dimp[$i]);$totimp+=$dimp[$i];$i++;}
#$totimp=0 if ($totimp eq "");
@mdimp=@dimp;
@mdimp=sort ({$b<=>$a} @mdimp);
$maximp=shift(@mdimp);
if ($maximp<=10){$item1=10;$item2=7.5;$item3=5;$item4=2.5;}
elsif ($maximp<=100){$item1=100;$item2=75;$item3=50;$item4=25;}
elsif ($maximp<=1000){$item1=1000;$item2=750;$item3=500;$item4=250;}
elsif ($maximp<=10000){$item1=10000;$item2=7500;$item3=5000;$item4=2500;}
elsif ($maximp<=100000){$item1=100000;$item2=75000;$item3=50000;$item4=25000;}
elsif ($maximp<=1000000){$item1=1000000;$item2=750000;$item3=500000;$item4=250000;}
$grat=$item1/100;
$i=0;
foreach(@dimp)
{
	$height=int($_/$grat);
	$graph.=qq~<img src="$adcenter/images/sg1.gif" width=8 height=$height border=1 bordercolor=black>~;
	if ($i<23){$graph.=qq~<img src="$adcenter/images/sdot.gif">~;}
	$i++;
}
&closedb;
&methods;
open (F,"<$adcpath/template/mhourstat.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub affiliate
{
$selected{affiliate}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname,adate FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname,$ad)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
		$adate=$ad;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{wsid}=0 unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ, adc2000popup_aff READ") if ($locktables);
$sth=$dbh->query("SELECT wsname,url,adc2000popup_aff.shown FROM adc2000popup_aff,adc2000popup_sites WHERE (adc2000popup_aff.uid=$uid AND adc2000popup_aff.wsid=$data{wsid} AND adc2000popup_aff.suid=adc2000popup_sites.uid AND adc2000popup_aff.swsid=adc2000popup_sites.wsid) ORDER BY wsname");
while (($wsname,$url,$shown)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	$res.=qq~<tr><td width="80%" bgcolor="#C0C0C0" valign="top"><font size=1><b><a href="$url" target="_blank">$wsname</a></b></font></td><td width="20%" align="right" bgcolor="#C0C0C0"><font size=2>$shown</font></td></tr>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/maffstat.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub clearestats
{
if ($data{wsid})
{
	($day,$month,$date,$time,$year)=split(" ",scalar localtime);
	$month=$cal{$month};
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_aff WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_sites SET adate='$year-$month-$date' WHERE (uid=$uid AND wsid=$data{wsid})");
	$sth=$dbh->query("DELETE FROM adc2000popup_aff WHERE (uid=$uid AND wsid=$data{wsid})");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&affiliate;
}
sub visitors
{
$selected{visitors}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{wsid}=0 unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_counter READ") if ($locktables);
$sth=$dbh->query("SELECT vis,uvis FROM adc2000popup_counter WHERE (uid=$uid AND wsid=$data{wsid})");
($count,$unique)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/mvisitor.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub clearcounter
{
if ($data{wsid})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_counter WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_counter SET vis=0,uvis=0 WHERE (uid=$uid AND wsid=$data{wsid})");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&visitors;
}
sub htmlcode
{
$selected{htmlcode}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($enablecounter)
{
$result.=qq~
<p>If you haven't counter on your page - you can use our free counter! Easy place 
following code to your html page:<br><b><font size="2">
<center><textarea cols=50 rows=5>
<!--Begin $owntitle counter code-->
<script type="text/javascript" language="Javascript">
document.write('<script src="$cgi/nph-adccount.pl?$uid&$data{wsid}&'+Math.random()+'"><\\/script>');
</script>
<!--End $owntitle counter code-->
</textarea></center></font></b></p>
~;
}
if ($enablemaillist)
{
$result.=qq~
<p>Please insert following code to your page so your visitors can subscribe to your mailling list:<br><b><font size="2">
<center><textarea cols=50 rows=5>
<!--Begin $owntitle maillist code-->
<form action=\"$cgi/adcsubsc.pl\" method=\"post\"><input type=\"hidden\" name=\"destination\" value=\"$uid\">Your email: <input type=\"text\" size=\"30\" name=\"email\"><input type=\"submit\" value=\"Subscribe me\"><br><font size=1><input type="radio" name="method" checked value="subscribe"> Subscribe &amp;nbsp;&amp;nbsp;&amp;nbsp;<input type="radio" name="method" value="unsubscribe"> Unsubscribe</font></form>
<!--End $owntitle maillist code-->
</textarea></center></font></b></p>
~;
}
&closedb;
&methods;
open (F,"<$adcpath/template/mhtmlcode.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub genman
{
$selected{genman}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT fullname,address,city,zip,coid,phone,email FROM adc2000popup_users WHERE uid=$uid");
($fname,$address,$city,$zip,$countr,$phone,$email)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$fname=~s/APOSTROPHH/'/g;
$address=~s/APOSTROPHH/'/g;
$city=~s/APOSTROPHH/'/g;
$sth=$dbh->query("LOCK TABLES adc2000popup_countries READ") if ($locktables);
$sth=$dbh->query("SELECT coid,country FROM adc2000popup_countries ORDER BY country");
while (($coid,$country)=$sth->fetchrow)
{
	if ($coid==$countr)
	{
		$countries.=qq~<option value="$coid" selected>$country</option>\n~;
	}
	else
	{
		$countries.=qq~<option value="$coid">$country</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/mgenman.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub general
{
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT fullname,address,city,zip,coid,phone,email FROM adc2000popup_users WHERE uid=$uid");
($fname,$address,$city,$zip,$countr,$phone,$email)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if (!$data{fullname}){$data{fullname}=$fname;}
if (!$data{address}){$data{address}=$address;}
if (!$data{city}){$data{city}=$city;}
if (!$data{zip}){$data{zip}=$zip;}
if (!$data{phone}){$data{phone}=$phone;}
unless ($data{email}=~/^[\w\-.]+\@{1}[\w\-.]+$/ && $data{email}=~/^\w+/ && $data{email}=~/\w+$/){$data{email}=$email;}
$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_users SET fullname='$data{fullname}',address='$data{address}',city='$data{city}',zip='$data{zip}',coid=$data{country},phone='$data{phone}',email='$data{email}' WHERE uid=$uid");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&genman;
}
sub tasman
{
$selected{tasman}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{wsid}=0 unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT target FROM adc2000popup_sites WHERE (uid=$uid AND wsid=$data{wsid})");
$target=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_categories READ") if ($locktables);
$sth=$dbh->query("SELECT caid,category,subcategory FROM adc2000popup_categories ORDER BY category,subcategory");
while (($caid,$category,$subcategory)=$sth->fetchrow)
{
	$category=~s/APOSTROPHH/'/g;
	$subcategory=~s/APOSTROPHH/'/g;
	if ($curcat ne $category)
	{
		
		if ($field==1)
		{
			$result.=qq~<td>&nbsp;</td><td>&nbsp;</td></tr>\n~;
			$field=0;
		}
		$result.="<tr><td colspan=2><font size=2><b>$category</b></font></td></tr>\n";
		$curcat=$category;
	}
	if (!$field)
	{
		if ($target=~/#$caid#/)
		{
			$result.=qq~<tr><td width="10%"><input type=checkbox name=target value="$caid" checked></td><td width="40%"><font size=2>$subcategory</font></td>~;
		}
		else
		{
			$result.=qq~<tr><td width="10%"><input type=checkbox name=target value="$caid"></td><td width="40%"><font size=2>$subcategory</font></td>~;
		}
		$field=1;
	}
	elsif ($field)
	{
		if ($target=~/#$caid#/)
		{
			$result.=qq~<td width="10%"><input type=checkbox name=target value="$caid" checked></td><td width="40%"><font size=2>$subcategory</font></td></tr>~;
		}
		else
		{
			$result.=qq~<td width="10%"><input type=checkbox name=target value="$caid"></td><td width="40%"><font size=2>$subcategory</font></td></tr>~;
		}
		$field=0;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($field==1)
{
	$result.=qq~<td>&nbsp;</td><td>&nbsp;</td></tr>\n~;
	$field=0;
}
&closedb;
&methods;
open (F,"<$adcpath/template/mtasman.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub target
{
if ($data{wsid})
{
	$data{target}=~s/,/#/g;
	$data{target}="#$data{target}#";
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_sites SET target='$data{target}' WHERE (uid=$uid AND wsid=$data{wsid})");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&tasman;
}
sub adtman
{
$selected{adtman}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	unless($data{wsid})
	{
		$data{wsid}=$wsid;
	}
	if ($data{wsid}==$wsid)
	{
		$sites.=qq~<option value="$wsid" selected>$wsname</option>\n~;
		$sitename=$wsname;
	}
	else
	{
		$sites.=qq~<option value="$wsid">$wsname</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{wsid}=0 unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_tt READ") if ($locktables);
$sth=$dbh->query("SELECT th00,th01,th02,th03,th04,th05,th06,th07,th08,th09,th10,th11,th12,th13,th14,th15,th16,th17,th18,th19,th20,th21,th22,th23 FROM adc2000popup_tt WHERE (uid=$uid AND wsid=$data{wsid})");
@res=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/madtman.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub settime
{
if ($data{wsid})
{
	$data{res0}=0 unless ($data{res0});
	$data{res1}=0 unless ($data{res1});
	$data{res2}=0 unless ($data{res2});
	$data{res3}=0 unless ($data{res3});
	$data{res4}=0 unless ($data{res4});
	$data{res5}=0 unless ($data{res5});
	$data{res6}=0 unless ($data{res6});
	$data{res7}=0 unless ($data{res7});
	$data{res8}=0 unless ($data{res8});
	$data{res9}=0 unless ($data{res9});
	$data{res10}=0 unless ($data{res10});
	$data{res11}=0 unless ($data{res11});
	$data{res12}=0 unless ($data{res12});
	$data{res13}=0 unless ($data{res13});
	$data{res14}=0 unless ($data{res14});
	$data{res15}=0 unless ($data{res15});
	$data{res16}=0 unless ($data{res16});
	$data{res17}=0 unless ($data{res17});
	$data{res18}=0 unless ($data{res18});
	$data{res19}=0 unless ($data{res19});
	$data{res20}=0 unless ($data{res20});
	$data{res21}=0 unless ($data{res21});
	$data{res22}=0 unless ($data{res22});
	$data{res23}=0 unless ($data{res23});
	$sth=$dbh->query("LOCK TABLES adc2000popup_tt WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_tt SET th00=$data{res0},th01=$data{res1},th02=$data{res2},th03=$data{res3},th04=$data{res4},th05=$data{res5},th06=$data{res6},th07=$data{res7},th08=$data{res8},th09=$data{res9},th10=$data{res10},th11=$data{res11},th12=$data{res12},th13=$data{res13},th14=$data{res14},th15=$data{res15},th16=$data{res16},th17=$data{res17},th18=$data{res18},th19=$data{res19},th20=$data{res20},th21=$data{res21},th22=$data{res22},th23=$data{res23} WHERE (uid=$uid AND wsid=$data{wsid})");
	@res=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&adtman;
}
sub sendml
{
$selected{sendml}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_ml READ") if ($locktables);
$sth=$dbh->query("SELECT COUNT(*) FROM adc2000popup_ml WHERE uid=$uid");
$total=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/msendml.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub maillist
{
&initial unless ($enablemaillist);
$sth=$dbh->query("LOCK TABLES adc2000popup_ml READ") if ($locktables);
$sth=$dbh->query("SELECT email FROM adc2000popup_ml WHERE uid=$uid");
while($eml=$sth->fetchrow){push(@emails,$eml);}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_settings READ") if ($locktables);
$sth=$dbh->query("SELECT headerul,footerul FROM adc2000popup_settings");
($headerul,$footerul)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$headerul=~s/APOSTROPHH/'/g;
$footerul=~s/APOSTROPHH/'/g;
$count=0;
if (@emails>0)
{
	foreach(@emails)
	{
	$count++;
	open (MAIL,"|$progmail");
	print MAIL "To: $_\n";
	print MAIL "From: $data{email}\n";
	print MAIL "Subject: $data{subject}\n\n";
	print MAIL "$data{body}\n\n";
	print MAIL "\n.\n";
	close (MAIL);
	}
}
&closedb;
&methods;
open (F,"<$adcpath/template/mmaillist.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub siteman
{
$selected{siteman}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname,url,credits,status FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname,$url,$credits,$status)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	if ($status==1)
	{
		$status="Normal";
	}
	elsif ($status==2)
	{
		$status="Collect";
	}
	elsif ($status==3)
	{
		$status="Spend";
	}
	elsif ($status==4)
	{
		$status="Disabled";
	}
	$res.=qq~<tr><td><font size=2><a href="$cgi/adcmembers.pl?session=$data{session}&wsid=$wsid&method=editsite">$wsname</a></font></td><td><font size=2>$url</font></td><td><font size=2>$credits</font></td><td><font size=2>$status</font></td></tr>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_categories READ") if ($locktables);
$sth=$dbh->query("SELECT caid,category,subcategory FROM adc2000popup_categories ORDER BY category,subcategory");
while (($caid,$category,$subcategory)=$sth->fetchrow)
{
	$category=~s/APOSTROPHH/'/g;
	$subcategory=~s/APOSTROPHH/'/g;
	$categories.=qq~<option value="$caid">$category: $subcategory</option>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/msiteman.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub addsite
{
if ($data{wsname} && $data{url} && $data{keywords} && $data{descr})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_categories READ") if ($locktables);
	$sth=$dbh->query("SELECT caid FROM adc2000popup_categories");
	while($caid=$sth->fetchrow){push(@caids,$caid);}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$caids=join("#",@caids);
	$caids="#$caids#";
	$data{wsname}=~s/'/APOSTROPHH/g;
	$data{descr}=~s/'/APOSTROPHH/g;
	$data{keywords}=~s/'/APOSTROPHH/g;
	$data{descr}=~s/\r//g;
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
	$sth=$dbh->query("INSERT INTO adc2000popup_sites (uid,wsname,url,caid,credits,target,descr,keywords,jdate,rdate,adate,ldate) VALUES ($uid,'$data{wsname}','$data{url}',$data{category},0,'$caids','$data{descr}','$data{keywords}','$jdate','$jdate','$jdate','$jdate')");
	$sth=$dbh->query("SELECT LAST_INSERT_ID()");
	$wsid=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	&siteman unless ($wsid);
	$sth=$dbh->query("LOCK TABLES adc2000popup_tt WRITE") if ($locktables);
	$sth=$dbh->query("INSERT INTO adc2000popup_tt (uid,wsid) VALUES ($uid,$wsid)");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$sth=$dbh->query("LOCK TABLES adc2000popup_counter WRITE") if ($locktables);
	$sth=$dbh->query("INSERT INTO adc2000popup_counter (uid,wsid) VALUES ($uid,$wsid)");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&siteman;
}
sub editsite
{
$selected{siteman}="selected";
&siteman unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname,url,keywords,descr,status,caid FROM adc2000popup_sites WHERE (uid=$uid AND wsid=$data{wsid})");
($wsid,$wsname,$url,$keywords,$descr,$status,$cad)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$wsname=~s/APOSTROPHH/'/g;
$descr=~s/APOSTROPHH/'/g;
$keywords=~s/APOSTROPHH/'/g;
if ($status==1)
{
	$statuses=qq~<option value="1" selected>Normal</option>\n~;
}
else
{
	$statuses=qq~<option value="1">Normal</option>\n~;
}
if ($status==2)
{
	$statuses.=qq~<option value="2" selected>Collect</option>\n~;
}
else
{
	$statuses.=qq~<option value="2">Collect</option>\n~;
}
if ($status==3)
{
	$statuses.=qq~<option value="3" selected>Spend</option>\n~;
}
else
{
	$statuses.=qq~<option value="3">Spend</option>\n~;
}
if ($status==4)
{
	$statuses.=qq~<option value="4" selected>Disable</option>\n~;
}
else
{
	$statuses.=qq~<option value="4">Disable</option>\n~;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_categories READ") if ($locktables);
$sth=$dbh->query("SELECT caid,category,subcategory FROM adc2000popup_categories ORDER BY category,subcategory");
while (($caid,$category,$subcategory)=$sth->fetchrow)
{
	$category=~s/APOSTROPHH/'/g;
	$subcategory=~s/APOSTROPHH/'/g;
	if ($cad==$caid)
	{
		$categories.=qq~<option value="$caid" selected>$category: $subcategory</option>\n~;
	}
	else
	{
		$categories.=qq~<option value="$caid">$category: $subcategory</option>\n~;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/meditsite.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub editsite_s
{
$selected{siteman}="selected";
if ($data{wsid} && $data{url} && $data{wsname} && $data{descr} && $data{keywords})
{
$data{wsname}=~s/'/APOSTROPHH/g;
$data{descr}=~s/'/APOSTROPHH/g;
$data{keywords}=~s/'/APOSTROPHH/g;
$data{descr}=~s/\r//g;
&siteman unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_sites SET wsname='$data{wsname}',url='$data{url}',keywords='$data{keywords}',descr='$data{descr}',status=$data{status},caid=$data{category} WHERE (uid=$uid AND wsid=$data{wsid})");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&editsite;
}
sub deletesite
{
$selected{siteman}="selected";
&siteman unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsname,wsid FROM adc2000popup_sites WHERE (uid=$uid AND wsid=$data{wsid})");
($wsname,$wsid)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&siteman unless ($wsid);
$wsname=~s/APOSTROPHH/'/g;
&closedb;
&methods;
open (F,"<$adcpath/template/mdelsite.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub deletesite_s
{
$selected{siteman}="selected";
&siteman unless ($data{wsid});
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid FROM adc2000popup_sites WHERE (uid=$uid AND wsid=$data{wsid})");
$wsid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&siteman unless ($wsid);
$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_counter WRITE, adc2000popup_tt WRITE, adc2000popup_pv WRITE, adc2000popup_aff WRITE, adc2000popup_users WRITE") if ($locktables);
$sth=$dbh->query("SELECT credits FROM adc2000popup_sites WHERE (uid=$uid AND wsid=$data{wsid})");
$credts=$sth->fetchrow;
if ($credts>0)
{
	$sth=$dbh->query("UPDATE adc2000popup_users SET credits=credits+$credts WHERE uid=$uid");
}
$sth=$dbh->query("DELETE FROM adc2000popup_sites WHERE (uid=$uid AND wsid=$data{wsid})");
$sth=$dbh->query("DELETE FROM adc2000popup_counter WHERE (uid=$uid AND wsid=$data{wsid})");
$sth=$dbh->query("DELETE FROM adc2000popup_tt WHERE (uid=$uid AND wsid=$data{wsid})");
$sth=$dbh->query("DELETE FROM adc2000popup_pv WHERE (uid=$uid AND wsid=$data{wsid})");
$sth=$dbh->query("DELETE FROM adc2000popup_aff WHERE (uid=$uid AND wsid=$data{wsid})");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&siteman;
}
sub credits
{
$selected{credits}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname,credits FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while (($wsid,$wsname,$credts)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	$res.=qq~<tr><td><font size=2>$wsname</font></td><td><font size=2>$credts</font></td></tr>\n~;
	$sites.=qq~<option value="$wsid">$wsname</option>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sites=qq~<option value="0">Main</option>\n$sites~;
&closedb;
&methods;
open (F,"<$adcpath/template/mcredits.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub transfer
{
&credits if ($data{from}==$data{to});
if ($data{from}==0 || $data{to}==0)
{
	if ($data{from}==0)
	{
		$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
		$sth=$dbh->query("SELECT wsid FROM adc2000popup_sites WHERE (uid=$uid && wsid=$data{to})");
		$wsid=$sth->fetchrow;
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		&credits if ($wsid!=$data{to});
		if ($credits>0 && $data{amount}>0)
		{
			$data{amount}=$credits if ($data{amount}>$credits);
			$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_users WRITE") if ($locktables);
			$sth=$dbh->query("UPDATE adc2000popup_users SET credits=credits-$data{amount} WHERE uid=$uid");
			$sth=$dbh->query("UPDATE adc2000popup_sites SET credits=credits+$data{amount} WHERE (uid=$uid AND wsid=$data{to})");
			$sth=$dbh->query("SELECT credits FROM adc2000popup_users WHERE uid=$uid");
			$credits=$sth->fetchrow;
			$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		}
	}
	elsif ($data{to}==0)
	{
		$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
		$sth=$dbh->query("SELECT wsid,credits FROM adc2000popup_sites WHERE (uid=$uid && wsid=$data{from})");
		($wsid,$credts)=$sth->fetchrow;
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		&credits if ($wsid!=$data{from});
		if ($credts>0 && $data{amount}>0)
		{
			$data{amount}=$credts if ($data{amount}>$credts);
			$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_users WRITE") if ($locktables);
			$sth=$dbh->query("UPDATE adc2000popup_users SET credits=credits+$data{amount} WHERE uid=$uid");
			$sth=$dbh->query("UPDATE adc2000popup_sites SET credits=credits-$data{amount} WHERE (uid=$uid AND wsid=$data{from})");
			$sth=$dbh->query("SELECT credits FROM adc2000popup_users WHERE uid=$uid");
			$credits=$sth->fetchrow;
			$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		}
	}
}
else
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
	$sth=$dbh->query("SELECT wsid FROM adc2000popup_sites WHERE (uid=$uid && wsid=$data{to})");
	$wsid=$sth->fetchrow;
	$sth=$dbh->query("SELECT wsid,credits FROM adc2000popup_sites WHERE (uid=$uid && wsid=$data{from})");
	($wsid2,$credts)=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	&credits if ($wsid!=$data{to});
	&credits if ($wsid2!=$data{from});
	if ($credts>0 && $data{amount}>0)
	{
		$data{amount}=$credts if ($data{amount}>$credts);
		$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
		$sth=$dbh->query("UPDATE adc2000popup_sites SET credits=credits+$data{amount} WHERE (uid=$uid AND wsid=$data{to})");
		$sth=$dbh->query("UPDATE adc2000popup_sites SET credits=credits-$data{amount} WHERE (uid=$uid AND wsid=$data{from})");
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	}
}
&credits;
}
sub ch
{
$selected{ch}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_ch READ") if ($locktables);
$sth=$dbh->query("SELECT date,amount FROM adc2000popup_ch WHERE uid=$uid ORDER BY date DESC");
while (($date,$credts)=$sth->fetchrow)
{
	$res.=qq~<tr><td><font size=2>$date</font></td><td><font size=2>$credts</font></td></tr>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/mch.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub logout
{
$sth=$dbh->query("LOCK TABLES adc2000popup_sessions WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_sessions SET exptime='0000-00-00',ip='',sid='' WHERE uid=$uid");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
print "HTTP/1.0 302 Found\n" if ($sysid eq "Windows");
print "Location: $adcenter\n\n";
}
sub error_auth
{
&closedb;
open (F,"<$adcpath/template/errauth.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
sub methods
{
$methods=qq~
<option value="initial" $selected{initial}>Start page</option>
<option value="genstats" $selected{genstats}>General Stats</option>
<option value="monstats" $selected{monstats}>Monthly Stats</option>
<option value="daystats" $selected{daystats}>Daily Stats</option>
<option value="hourstats" $selected{hourstats}>Hourly Stats</option>
<option value="affiliate" $selected{affiliate}>Extended Stats</option>
<option value="ch" $selected{ch}>Credits history</option>~;
$methods.=qq~
<option value="visitors" $selected{visitors}>Counter Stats</option>~ if ($enablecounter);
$methods.=qq~
<option value="htmlcode" $selected{htmlcode}>Get HTML Code</option>
<option value="genman" $selected{genman}>General Settings</option>
<option value="siteman" $selected{siteman}>Sites management</option>
<option value="credits" $selected{credits}>Credits transfer tool</option>
<option value="tasman" $selected{tasman}>Target Sites Management</option>
<option value="adtman" $selected{adtman}>Advertising Time Management</option>~;
$methods.=qq~
<option value="sendml" $selected{sendml}>Mailing List</option>~ if ($enablemaillist);
$methods.=qq~
<option value="logout">Log out</option>
~;
}
